Summary:	viewres application - graphical class browser for Xt
Summary(pl.UTF-8):	Aplikacja viewres - graficzna przeglądarka klas dla Xt
Name:		xorg-app-viewres
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/viewres-%{version}.tar.bz2
# Source0-md5:	08def461f135832136624855763b20fa
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The viewres program displays a tree showing the widget class hierarchy
of the Athena Widget Set. Each node in the tree can be expanded to
show the resources that the corresponding class adds (i.e. does not
inherit from its parent) when a widget is created. This application
allows the user to visually examine the structure and inherited
resources for the Athena Widget Set.

%description -l pl.UTF-8
Program viewres wyświetla drzewo obrazujące hierarchię klas widgetów
Athena. Każdy węzeł drzewa może być rozszerzony aby pokazywać zasoby
dodawane przez odpowiadającą mu klasę (tzn. nie dziedziczone od
rodzica) podczas tworzenia widgetu. Ta aplikacja pozwala użytkownikowi
wizualnie przeglądać strukturę i dziedziczone zasoby widgetów Athena.

%prep
%setup -q -n viewres-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/viewres
%{_datadir}/X11/app-defaults/Viewres
%{_datadir}/X11/app-defaults/Viewres-color
%{_mandir}/man1/viewres.1*
%changelog
* Fri Mar 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-viewres.git;a=log;h=master

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 2f7f3d0
- updated to 1.0.5

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 8e0d5be
- fix files
- rel 2

* Mon Jan 14 2013 Jakub Bogusz <qboosh@pld-linux.org> daf4cb9
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d85d209
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> b39b32e
- updated to 1.0.3

* Wed May 26 2010 Jakub Bogusz <qboosh@pld-linux.org> a35e9b6
- updated to 1.0.2
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2146bb2
- rel 3

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 071e1cc
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 65cda34
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> c9f799a
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4cb719e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 137909e
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> e679ffe
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 66b2afe
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 333adf3
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> d9e95b3
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 30bfe58
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 399967f
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 1e84864
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 6d00a09
- standard permisions to binaries

